For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authentication

Endpoint to authenticate your account. The API will return a token to authorize subsequent API requests.

Authenticate your account

POST https://api.waldo.ai/authenticate

Request Body

Name
Type
Description

apiKey*

String

clientSecret*

String

Response

{
  "token": "eyJh...."
}
{
  "code": "INVALID_API_KEY",
  "message": "Invalid API key"
}
{
  "code": "API_KEY_REVOKED",
  "message": "This API key has been revoked. Please visit the Waldo AI dashboard to review your API key."
}
{
    "code": 'MISSING_PARAMETERS',
    "message": 'Missing parameters'
}
curl --location 'https://api.waldo.ai/authenticate' \
--data '{"apiKey": "YOUR_API_KEY","clientSecret": "CLIENT_SECRET"}'
import axios from "axios";
const data = JSON.stringify({
  "apiKey": "YOUR_API_KEY",
  "clientSecret": "CLIENT_SECRET"
});

const config = {
  method: 'post',
  url: 'https://api.waldo.ai/authenticate',
  headers: {
    'Content-Type': 'application/json'
  },
  data : data
};
axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

Authorization

Use the token from the authentication response to authorize subsequent API requests. The token should be added in the Authorization header:

Authorization: Bearer <token>

Last updated